# WebhookInfo - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / WebhookInfo

# WebhookInfo

(common) `data class WebhookInfo` (source)

### Constructors

(common)

#### <init>

`WebhookInfo(url: String, awaitDeliery: Int, maxConnections: Int = 40, customCertificate: Boolean = false, allowedUpdates: List<String> = ALL_UPDATES_LIST, lastErrorDate: TelegramDate? = null, lastErrorMessage: String? = null)`

### Properties

(common)

#### allowedUpdates

`val allowedUpdates: List<String>`

(common)

#### awaitDeliery

`val awaitDeliery: Int`

(common)

#### customCertificate

`val customCertificate: Boolean`

(common)

#### hasError

`val hasError: Boolean`

(common)

#### isNotUseWebhook

`val isNotUseWebhook: Boolean`

(common)

#### lastErrorDate

`val lastErrorDate: TelegramDate?`

(common)

#### lastErrorMessage

`val lastErrorMessage: String?`

(common)

#### maxConnections

`val maxConnections: Int`

(common)

#### url

`val url: String`